diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4016dad..e1222ce 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -34463,7 +34463,7 @@ GosperSummationMethod(E, V, R, P, Q): Exports == Impl where
       RFQ2R f    == PQ2R(numer f) / PQ2R(denom f)
 
       PQ2R p ==
-        map(#1::P::Q, #1::Q, p)$PolynomialCategoryLifting(
+        map(x+->x::P::Q, y+->y::Q, p)$PolynomialCategoryLifting(
                                        IndexedExponents V, V, RN, PQ, Q)
 
       GospersMethod(aquo, n, newV) ==
@@ -34479,8 +34479,9 @@ GosperSummationMethod(E, V, R, P, Q): Exports == Impl where
 
       UP2QIfCan p ==
         every?(rat?, coefficients p) =>
-          map(#1::PQ, (retractIfCan(#1::P::Q)@Union(RN, "failed"))::RN::PQ,
-              p)$PolynomialCategoryLifting(E, V, R, P, PQ)
+          map(x +-> x::PQ, 
+              y +-> (retractIfCan(y::P::Q)@Union(RN, "failed"))::RN::PQ,p)_
+               $PolynomialCategoryLifting(E, V, R, P, PQ)
         "failed"
 
       InnerGospersMethod(aquo, n, newV) ==
diff --git a/changelog b/changelog
index fb9dba0..20f2a2c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090602 tpd src/axiom-website/patches.html 20090602.04.tpd.patch
+20090602 tpd books/bookvol10.4 GOSPER +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.03.tpd.patch
 20090602 tpd books/bookvol10.4 INTG0 +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 937d35e..efca8d6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1423,5 +1423,7 @@ bookvol10.4 GENUPS +-> conversion<br/>
 bookvol10.4 GENEEZ +-> conversion<br/>
 <a href="patches/20090602.02.tpd.patch">20090602.03.tpd.patch</a>
 bookvol10.4 INTG0 +-> conversion<br/>
+<a href="patches/20090602.02.tpd.patch">20090602.04.tpd.patch</a>
+bookvol10.4 GOSPER +-> conversion<br/>
  </body>
 </html>
